
Ruby - Bug #12683

never be able to install trunk

08/17/2016 04:12 PM - usa (Usaku NAKAMURA)

Status: Closed   

Priority: Normal   

Assignee:    

Target version:    

ruby -v:  Backport: 2.1: DONTNEED, 2.2: DONTNEED, 2.3:

DONTNEED

Description

r55950 以降だと思いますが、bundleされているgemの拡張ライブラリがビルドできない場合、make installが失敗するのでruby自体がinstallできません。

Associated revisions

Revision a5eab8ccef5454411cf084ca1fa559b82f6c9a76 - 08/17/2016 05:36 PM - nobu (Nobuyoshi Nakada)

skip failed gems

tool/rbinstall.rb: skip gems which failed to build extensions.

[ruby-dev:49764] [Bug #12683]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@55952 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision a5eab8cc - 08/17/2016 05:36 PM - nobu (Nobuyoshi Nakada)

skip failed gems

tool/rbinstall.rb: skip gems which failed to build extensions.

[ruby-dev:49764] [Bug #12683]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@55952 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 08/17/2016 05:36 PM - nobu (Nobuyoshi Nakada)

- Status changed from Open to Closed

Applied in changeset r55952.

skip failed gems

tool/rbinstall.rb: skip gems which failed to build extensions.

[ruby-dev:49764] [Bug #12683]

Powered by TCPDF (www.tcpdf.org)

06/25/2025 1/1

bugs.ruby-lang.org/issues/12683
https://bugs.ruby-lang.org/issues/12683
http://www.tcpdf.org

